Skip to main content
GET
/
v1
/
google
/
shopping
/
product
Product details
curl --request GET \
  --url https://scrapebadger.com/v1/google/shopping/product \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/shopping/product"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/shopping/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "product": {
    "title": "<string>",
    "description": "<string>",
    "brand": "<string>",
    "rating": 123,
    "reviews_count": 123,
    "price_range_low": 123,
    "price_range_high": 123,
    "currency": "<string>",
    "sellers": [
      {
        "name": "<string>",
        "link": "<string>",
        "logo": "<string>",
        "price": 123,
        "original_price": 123,
        "shipping": "<string>",
        "tax": "<string>",
        "total_cost": 123,
        "rating": 123,
        "reviews_count": 123
      }
    ],
    "specs": {},
    "images": [
      "<string>"
    ]
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

product_id
string
required

Product ID from search results

gl
string
default:us
hl
string
default:en

Response

Successful Response

Response for GET /api/v1/shopping/product.

product
ShoppingProductDetail · object
required

Detailed product information.